Subject: Re: linux-next: Tree for Jun 21

From: Chris Metcalf <[email-masked]>
Date: Tue, 21 Jun 2016 09:47:00 -0400

On 6/21/2016 8:42 AM, Peter Zijlstra wrote:
> On Tue, Jun 21, 2016 at 08:08:29AM -0400, Chris Metcalf wrote:
>> You need to have a tilepro toolchain (not tilegx)
> Ah, should I go use TARGET=tilepro-linux ?

Yes.

>> and build with ARCH=tilepro.
>          tilepro)
>                  ARCH=tile
>                  CROSS_COMPILE=tilegx-linux-
>                  if [ "$CONFIG" == "defconfig" ] ; then
>                          CONFIG=tilepro_defconfig
>                  fi
>                  ;;
>
> So I suppose that too is wrong.

Yup.  That's actually just building exactly what "tilegx" would build by default.

I'm not sure who builds the toolchains, but tilepro is in upstream gcc/binutils/etc
so should be easy enough to include.  There's also a cross-toolchain for x64 I put
up a while ago [1] that you could grab if you wanted to try it.

[1] http://www.mellanox.com/repository/solutions/tile-scm/tilepro-x86_64.tar.bz2

-- 
Chris Metcalf, Mellanox Technologies
http://www.mellanox.com